/*
 * Esercizio 4 Capitolo 6 Savitch
 * 
 * Scrivere un programma in una classe FrequenzaCarattere che
 * conti il numero di volte che una cifra appare in un numero
 * telefonico. 
 * Il programma deve creare un array di dimensione 10 che 
 * memorizzer il conto di ogni cifra da 0 a 9.
 * Leggere da tastiera un numero di telefono come stringa.
 * Esaminare ogni carattere del numero telefonico e incrementare 
 * il conteggio relativo alla cifra nell'array.
 * Visualizzare il contenuto dell'array.
 * 
 * * 
 */

import java.util.*;

public class FrequenzaCarattere{
	
	public static final int CIFRE = 10;
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		
		System.out.print("Inserire il numero telefonico: ");
		String numero = tastiera.next();
		
		int[] frequenze = calcolaFrequenze(numero);
		
		System.out.println("Le occorrenze delle singole cifre nel numero "+numero+" sono: ");
		visualizzaOccorrenze(frequenze);
		
		tastiera.close();
	}
	
	public static int[] calcolaFrequenze(String numTelefono){
		int[] vettoreFrequenze = new int[CIFRE];
		for(int i=0; i<numTelefono.length();i++)
			vettoreFrequenze[Integer.parseInt(""+numTelefono.charAt(i))]++;
		return vettoreFrequenze;
	}

	public static void visualizzaOccorrenze(int[] vettore){
		for(int i=0; i<vettore.length; i++)
			System.out.println("Cifra "+i+", occorrenze: "+vettore[i]);
	}
	
}
